/*
  constants_confstr.qpp

  Qore Programming Language

  Copyright (C) 2012 - 2014 Qore Technologies, sro

  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2.1 of the License, or (at your option) any later version.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

#include <unistd.h>
#include <qore/Qore.h>

#ifndef _CS_PATH
#define _CS_PATH -1
#endif

#ifndef _CS_V6_WIDTH_RESTRICTED_ENVS
#define _CS_V6_WIDTH_RESTRICTED_ENVS -1
#endif

#ifndef _CS_POSIX_V6_WIDTH_RESTRICTED_ENVS
#define _CS_POSIX_V6_WIDTH_RESTRICTED_ENVS -1
#endif

#ifndef _CS_GNU_LIBC_VERSION
#define _CS_GNU_LIBC_VERSION -1
#endif

#ifndef _CS_GNU_LIBPTHREAD_VERSION
#define _CS_GNU_LIBPTHREAD_VERSION -1
#endif

#ifndef _CS_V5_WIDTH_RESTRICTED_ENVS
#define _CS_V5_WIDTH_RESTRICTED_ENVS -1
#endif

#ifndef _CS_POSIX_V5_WIDTH_RESTRICTED_ENVS
#define _CS_POSIX_V5_WIDTH_RESTRICTED_ENVS -1
#endif

#ifndef _CS_V7_WIDTH_RESTRICTED_ENVS
#define _CS_V7_WIDTH_RESTRICTED_ENVS -1
#endif

#ifndef _CS_POSIX_V7_WIDTH_RESTRICTED_ENVS
#define _CS_POSIX_V7_WIDTH_RESTRICTED_ENVS -1
#endif

#ifndef _CS_LFS_CFLAGS
#define _CS_LFS_CFLAGS -1
#endif

#ifndef _CS_LFS_LDFLAGS
#define _CS_LFS_LDFLAGS -1
#endif

#ifndef _CS_LFS_LIBS
#define _CS_LFS_LIBS -1
#endif

#ifndef _CS_LFS_LINTFLAGS
#define _CS_LFS_LINTFLAGS -1
#endif

#ifndef _CS_LFS64_CFLAGS
#define _CS_LFS64_CFLAGS -1
#endif

#ifndef _CS_LFS64_LDFLAGS
#define _CS_LFS64_LDFLAGS -1
#endif

#ifndef _CS_LFS64_LIBS
#define _CS_LFS64_LIBS -1
#endif

#ifndef _CS_LFS64_LINTFLAGS
#define _CS_LFS64_LINTFLAGS -1
#endif

#ifndef _CS_XBS5_ILP32_OFF32_CFLAGS
#define _CS_XBS5_ILP32_OFF32_CFLAGS -1
#endif

#ifndef _CS_XBS5_ILP32_OFF32_LDFLAGS
#define _CS_XBS5_ILP32_OFF32_LDFLAGS -1
#endif

#ifndef _CS_XBS5_ILP32_OFF32_LIBS
#define _CS_XBS5_ILP32_OFF32_LIBS -1
#endif

#ifndef _CS_XBS5_ILP32_OFF32_LINTFLAGS
#define _CS_XBS5_ILP32_OFF32_LINTFLAGS -1
#endif

#ifndef _CS_XBS5_ILP32_OFFBIG_CFLAGS
#define _CS_XBS5_ILP32_OFFBIG_CFLAGS -1
#endif

#ifndef _CS_XBS5_ILP32_OFFBIG_LDFLAGS
#define _CS_XBS5_ILP32_OFFBIG_LDFLAGS -1
#endif

#ifndef _CS_XBS5_ILP32_OFFBIG_LIBS
#define _CS_XBS5_ILP32_OFFBIG_LIBS -1
#endif

#ifndef _CS_XBS5_ILP32_OFFBIG_LINTFLAGS
#define _CS_XBS5_ILP32_OFFBIG_LINTFLAGS -1
#endif

#ifndef _CS_XBS5_LP64_OFF64_CFLAGS
#define _CS_XBS5_LP64_OFF64_CFLAGS -1
#endif

#ifndef _CS_XBS5_LP64_OFF64_LDFLAGS
#define _CS_XBS5_LP64_OFF64_LDFLAGS -1
#endif

#ifndef _CS_XBS5_LP64_OFF64_LIBS
#define _CS_XBS5_LP64_OFF64_LIBS -1
#endif

#ifndef _CS_XBS5_LP64_OFF64_LINTFLAGS
#define _CS_XBS5_LP64_OFF64_LINTFLAGS -1
#endif

#ifndef _CS_XBS5_LPBIG_OFFBIG_CFLAGS
#define _CS_XBS5_LPBIG_OFFBIG_CFLAGS -1
#endif

#ifndef _CS_XBS5_LPBIG_OFFBIG_LDFLAGS
#define _CS_XBS5_LPBIG_OFFBIG_LDFLAGS -1
#endif

#ifndef _CS_XBS5_LPBIG_OFFBIG_LIBS
#define _CS_XBS5_LPBIG_OFFBIG_LIBS -1
#endif

#ifndef _CS_XBS5_LPBIG_OFFBIG_LINTFLAGS
#define _CS_XBS5_LPBIG_OFFBIG_LINTFLAGS -1
#endif

#ifndef _CS_POSIX_V6_ILP32_OFF32_CFLAGS
#define _CS_POSIX_V6_ILP32_OFF32_CFLAGS -1
#endif

#ifndef _CS_POSIX_V6_ILP32_OFF32_LDFLAGS
#define _CS_POSIX_V6_ILP32_OFF32_LDFLAGS -1
#endif

#ifndef _CS_POSIX_V6_ILP32_OFF32_LIBS
#define _CS_POSIX_V6_ILP32_OFF32_LIBS -1
#endif

#ifndef _CS_POSIX_V6_ILP32_OFF32_LINTFLAGS
#define _CS_POSIX_V6_ILP32_OFF32_LINTFLAGS -1
#endif

#ifndef _CS_POSIX_V6_ILP32_OFFBIG_CFLAGS
#define _CS_POSIX_V6_ILP32_OFFBIG_CFLAGS -1
#endif

#ifndef _CS_POSIX_V6_ILP32_OFFBIG_LDFLAGS
#define _CS_POSIX_V6_ILP32_OFFBIG_LDFLAGS -1
#endif

#ifndef _CS_POSIX_V6_ILP32_OFFBIG_LIBS
#define _CS_POSIX_V6_ILP32_OFFBIG_LIBS -1
#endif

#ifndef _CS_POSIX_V6_ILP32_OFFBIG_LINTFLAGS
#define _CS_POSIX_V6_ILP32_OFFBIG_LINTFLAGS -1
#endif

#ifndef _CS_POSIX_V6_LP64_OFF64_CFLAGS
#define _CS_POSIX_V6_LP64_OFF64_CFLAGS -1
#endif

#ifndef _CS_POSIX_V6_LP64_OFF64_LDFLAGS
#define _CS_POSIX_V6_LP64_OFF64_LDFLAGS -1
#endif

#ifndef _CS_POSIX_V6_LP64_OFF64_LIBS
#define _CS_POSIX_V6_LP64_OFF64_LIBS -1
#endif

#ifndef _CS_POSIX_V6_LP64_OFF64_LINTFLAGS
#define _CS_POSIX_V6_LP64_OFF64_LINTFLAGS -1
#endif

#ifndef _CS_POSIX_V6_LPBIG_OFFBIG_CFLAGS
#define _CS_POSIX_V6_LPBIG_OFFBIG_CFLAGS -1
#endif

#ifndef _CS_POSIX_V6_LPBIG_OFFBIG_LDFLAGS
#define _CS_POSIX_V6_LPBIG_OFFBIG_LDFLAGS -1
#endif

#ifndef _CS_POSIX_V6_LPBIG_OFFBIG_LIBS
#define _CS_POSIX_V6_LPBIG_OFFBIG_LIBS -1
#endif

#ifndef _CS_POSIX_V6_LPBIG_OFFBIG_LINTFLAGS
#define _CS_POSIX_V6_LPBIG_OFFBIG_LINTFLAGS -1
#endif

#ifndef _CS_POSIX_V7_ILP32_OFF32_CFLAGS
#define _CS_POSIX_V7_ILP32_OFF32_CFLAGS -1
#endif

#ifndef _CS_POSIX_V7_ILP32_OFF32_LDFLAGS
#define _CS_POSIX_V7_ILP32_OFF32_LDFLAGS -1
#endif

#ifndef _CS_POSIX_V7_ILP32_OFF32_LIBS
#define _CS_POSIX_V7_ILP32_OFF32_LIBS -1
#endif

#ifndef _CS_POSIX_V7_ILP32_OFF32_LINTFLAGS
#define _CS_POSIX_V7_ILP32_OFF32_LINTFLAGS -1
#endif

#ifndef _CS_POSIX_V7_ILP32_OFFBIG_CFLAGS
#define _CS_POSIX_V7_ILP32_OFFBIG_CFLAGS -1
#endif

#ifndef _CS_POSIX_V7_ILP32_OFFBIG_LDFLAGS
#define _CS_POSIX_V7_ILP32_OFFBIG_LDFLAGS -1
#endif

#ifndef _CS_POSIX_V7_ILP32_OFFBIG_LIBS
#define _CS_POSIX_V7_ILP32_OFFBIG_LIBS -1
#endif

#ifndef _CS_POSIX_V7_ILP32_OFFBIG_LINTFLAGS
#define _CS_POSIX_V7_ILP32_OFFBIG_LINTFLAGS -1
#endif

#ifndef _CS_POSIX_V7_LP64_OFF64_CFLAGS
#define _CS_POSIX_V7_LP64_OFF64_CFLAGS -1
#endif

#ifndef _CS_POSIX_V7_LP64_OFF64_LDFLAGS
#define _CS_POSIX_V7_LP64_OFF64_LDFLAGS -1
#endif

#ifndef _CS_POSIX_V7_LP64_OFF64_LIBS
#define _CS_POSIX_V7_LP64_OFF64_LIBS -1
#endif

#ifndef _CS_POSIX_V7_LP64_OFF64_LINTFLAGS
#define _CS_POSIX_V7_LP64_OFF64_LINTFLAGS -1
#endif

#ifndef _CS_POSIX_V7_LPBIG_OFFBIG_CFLAGS
#define _CS_POSIX_V7_LPBIG_OFFBIG_CFLAGS -1
#endif

#ifndef _CS_POSIX_V7_LPBIG_OFFBIG_LDFLAGS
#define _CS_POSIX_V7_LPBIG_OFFBIG_LDFLAGS -1
#endif

#ifndef _CS_POSIX_V7_LPBIG_OFFBIG_LIBS
#define _CS_POSIX_V7_LPBIG_OFFBIG_LIBS -1
#endif

#ifndef _CS_POSIX_V7_LPBIG_OFFBIG_LINTFLAGS
#define _CS_POSIX_V7_LPBIG_OFFBIG_LINTFLAGS -1
#endif

#ifndef _CS_V6_ENV
#define _CS_V6_ENV -1
#endif

#ifndef _CS_V7_ENV
#define _CS_V7_ENV -1
#endif

QoreStringNode* get_confstr(int c) {
    size_t len = confstr(c, 0, 0);
    QoreStringNode* buf = new QoreStringNode;
    if (len) {
	buf->allocate(len + 1);
	confstr(c, (char*)buf->getBuffer(), len + 1);
	buf->terminate(len);
    }
    return buf;
}

DLLLOCAL void init_confstr_constants(QoreNamespace& ns) {
# 306 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_confstr.qpp"
# 311 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_confstr.qpp"
# 314 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_confstr.qpp"
# 317 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_confstr.qpp"
# 320 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_confstr.qpp"
# 323 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_confstr.qpp"
# 326 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_confstr.qpp"
# 329 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_confstr.qpp"
# 332 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_confstr.qpp"
# 335 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_confstr.qpp"
# 338 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_confstr.qpp"
# 341 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_confstr.qpp"
# 344 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_confstr.qpp"
# 347 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_confstr.qpp"
# 350 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_confstr.qpp"
# 353 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_confstr.qpp"
# 356 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_confstr.qpp"
# 359 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_confstr.qpp"
# 362 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_confstr.qpp"
# 365 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_confstr.qpp"
# 368 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_confstr.qpp"
# 371 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_confstr.qpp"
# 374 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_confstr.qpp"
# 377 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_confstr.qpp"
# 380 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_confstr.qpp"
# 383 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_confstr.qpp"
# 386 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_confstr.qpp"
# 389 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_confstr.qpp"
# 392 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_confstr.qpp"
# 395 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_confstr.qpp"
# 398 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_confstr.qpp"
# 401 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_confstr.qpp"
# 404 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_confstr.qpp"
# 407 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_confstr.qpp"
# 410 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_confstr.qpp"
# 413 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_confstr.qpp"
# 416 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_confstr.qpp"
# 419 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_confstr.qpp"
# 422 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_confstr.qpp"
# 425 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_confstr.qpp"
# 428 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_confstr.qpp"
# 431 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_confstr.qpp"
# 434 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_confstr.qpp"
# 437 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_confstr.qpp"
# 440 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_confstr.qpp"
# 443 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_confstr.qpp"
# 446 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_confstr.qpp"
# 449 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_confstr.qpp"
# 452 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_confstr.qpp"
# 455 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_confstr.qpp"
# 458 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_confstr.qpp"
# 461 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_confstr.qpp"
# 464 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_confstr.qpp"
# 467 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_confstr.qpp"
# 470 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_confstr.qpp"
# 473 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_confstr.qpp"
# 476 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_confstr.qpp"
# 479 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_confstr.qpp"
# 482 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_confstr.qpp"
# 485 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_confstr.qpp"
# 488 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_confstr.qpp"
# 491 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_confstr.qpp"
# 494 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_confstr.qpp"
# 497 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_confstr.qpp"
# 500 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_confstr.qpp"
# 503 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_confstr.qpp"
# 506 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_confstr.qpp"
# 509 "/export/home/dnichols/src/el7/qore/git/module-sysconf/src/constants_confstr.qpp"
   ns.addConstant("CS_GNU_LIBC_VERSION", (get_confstr(_CS_GNU_LIBC_VERSION)));
   ns.addConstant("CS_GNU_LIBPTHREAD_VERSION", (get_confstr(_CS_GNU_LIBPTHREAD_VERSION)));
   ns.addConstant("CS_LFS64_CFLAGS", (get_confstr(_CS_LFS64_CFLAGS)));
   ns.addConstant("CS_LFS64_LDFLAGS", (get_confstr(_CS_LFS64_LDFLAGS)));
   ns.addConstant("CS_LFS64_LIBS", (get_confstr(_CS_LFS64_LIBS)));
   ns.addConstant("CS_LFS64_LINTFLAGS", (get_confstr(_CS_LFS64_LINTFLAGS)));
   ns.addConstant("CS_LFS_CFLAGS", (get_confstr(_CS_LFS_CFLAGS)));
   ns.addConstant("CS_LFS_LDFLAGS", (get_confstr(_CS_LFS_LDFLAGS)));
   ns.addConstant("CS_LFS_LIBS", (get_confstr(_CS_LFS_LIBS)));
   ns.addConstant("CS_LFS_LINTFLAGS", (get_confstr(_CS_LFS_LINTFLAGS)));
   ns.addConstant("CS_PATH", (get_confstr(_CS_PATH)));
   ns.addConstant("CS_POSIX_V5_WIDTH_RESTRICTED_ENVS", (get_confstr(_CS_POSIX_V5_WIDTH_RESTRICTED_ENVS)));
   ns.addConstant("CS_POSIX_V6_ILP32_OFF32_CFLAGS", (get_confstr(_CS_POSIX_V6_ILP32_OFF32_CFLAGS)));
   ns.addConstant("CS_POSIX_V6_ILP32_OFF32_LDFLAGS", (get_confstr(_CS_POSIX_V6_ILP32_OFF32_LDFLAGS)));
   ns.addConstant("CS_POSIX_V6_ILP32_OFF32_LIBS", (get_confstr(_CS_POSIX_V6_ILP32_OFF32_LIBS)));
   ns.addConstant("CS_POSIX_V6_ILP32_OFF32_LINTFLAGS", (get_confstr(_CS_POSIX_V6_ILP32_OFF32_LINTFLAGS)));
   ns.addConstant("CS_POSIX_V6_ILP32_OFFBIG_CFLAGS", (get_confstr(_CS_POSIX_V6_ILP32_OFFBIG_CFLAGS)));
   ns.addConstant("CS_POSIX_V6_ILP32_OFFBIG_LDFLAGS", (get_confstr(_CS_POSIX_V6_ILP32_OFFBIG_LDFLAGS)));
   ns.addConstant("CS_POSIX_V6_ILP32_OFFBIG_LIBS", (get_confstr(_CS_POSIX_V6_ILP32_OFFBIG_LIBS)));
   ns.addConstant("CS_POSIX_V6_ILP32_OFFBIG_LINTFLAGS", (get_confstr(_CS_POSIX_V6_ILP32_OFFBIG_LINTFLAGS)));
   ns.addConstant("CS_POSIX_V6_LP64_OFF64_CFLAGS", (get_confstr(_CS_POSIX_V6_LP64_OFF64_CFLAGS)));
   ns.addConstant("CS_POSIX_V6_LP64_OFF64_LDFLAGS", (get_confstr(_CS_POSIX_V6_LP64_OFF64_LDFLAGS)));
   ns.addConstant("CS_POSIX_V6_LP64_OFF64_LIBS", (get_confstr(_CS_POSIX_V6_LP64_OFF64_LIBS)));
   ns.addConstant("CS_POSIX_V6_LP64_OFF64_LINTFLAGS", (get_confstr(_CS_POSIX_V6_LP64_OFF64_LINTFLAGS)));
   ns.addConstant("CS_POSIX_V6_LPBIG_OFFBIG_CFLAGS", (get_confstr(_CS_POSIX_V6_LPBIG_OFFBIG_CFLAGS)));
   ns.addConstant("CS_POSIX_V6_LPBIG_OFFBIG_LDFLAGS", (get_confstr(_CS_POSIX_V6_LPBIG_OFFBIG_LDFLAGS)));
   ns.addConstant("CS_POSIX_V6_LPBIG_OFFBIG_LIBS", (get_confstr(_CS_POSIX_V6_LPBIG_OFFBIG_LIBS)));
   ns.addConstant("CS_POSIX_V6_LPBIG_OFFBIG_LINTFLAGS", (get_confstr(_CS_POSIX_V6_LPBIG_OFFBIG_LINTFLAGS)));
   ns.addConstant("CS_POSIX_V6_WIDTH_RESTRICTED_ENVS", (get_confstr(_CS_POSIX_V6_WIDTH_RESTRICTED_ENVS)));
   ns.addConstant("CS_POSIX_V7_ILP32_OFF32_CFLAGS", (get_confstr(_CS_POSIX_V7_ILP32_OFF32_CFLAGS)));
   ns.addConstant("CS_POSIX_V7_ILP32_OFF32_LDFLAGS", (get_confstr(_CS_POSIX_V7_ILP32_OFF32_LDFLAGS)));
   ns.addConstant("CS_POSIX_V7_ILP32_OFF32_LIBS", (get_confstr(_CS_POSIX_V7_ILP32_OFF32_LIBS)));
   ns.addConstant("CS_POSIX_V7_ILP32_OFF32_LINTFLAGS", (get_confstr(_CS_POSIX_V7_ILP32_OFF32_LINTFLAGS)));
   ns.addConstant("CS_POSIX_V7_ILP32_OFFBIG_CFLAGS", (get_confstr(_CS_POSIX_V7_ILP32_OFFBIG_CFLAGS)));
   ns.addConstant("CS_POSIX_V7_ILP32_OFFBIG_LDFLAGS", (get_confstr(_CS_POSIX_V7_ILP32_OFFBIG_LDFLAGS)));
   ns.addConstant("CS_POSIX_V7_ILP32_OFFBIG_LIBS", (get_confstr(_CS_POSIX_V7_ILP32_OFFBIG_LIBS)));
   ns.addConstant("CS_POSIX_V7_ILP32_OFFBIG_LINTFLAGS", (get_confstr(_CS_POSIX_V7_ILP32_OFFBIG_LINTFLAGS)));
   ns.addConstant("CS_POSIX_V7_LP64_OFF64_CFLAGS", (get_confstr(_CS_POSIX_V7_LP64_OFF64_CFLAGS)));
   ns.addConstant("CS_POSIX_V7_LP64_OFF64_LDFLAGS", (get_confstr(_CS_POSIX_V7_LP64_OFF64_LDFLAGS)));
   ns.addConstant("CS_POSIX_V7_LP64_OFF64_LIBS", (get_confstr(_CS_POSIX_V7_LP64_OFF64_LIBS)));
   ns.addConstant("CS_POSIX_V7_LP64_OFF64_LINTFLAGS", (get_confstr(_CS_POSIX_V7_LP64_OFF64_LINTFLAGS)));
   ns.addConstant("CS_POSIX_V7_LPBIG_OFFBIG_CFLAGS", (get_confstr(_CS_POSIX_V7_LPBIG_OFFBIG_CFLAGS)));
   ns.addConstant("CS_POSIX_V7_LPBIG_OFFBIG_LDFLAGS", (get_confstr(_CS_POSIX_V7_LPBIG_OFFBIG_LDFLAGS)));
   ns.addConstant("CS_POSIX_V7_LPBIG_OFFBIG_LIBS", (get_confstr(_CS_POSIX_V7_LPBIG_OFFBIG_LIBS)));
   ns.addConstant("CS_POSIX_V7_LPBIG_OFFBIG_LINTFLAGS", (get_confstr(_CS_POSIX_V7_LPBIG_OFFBIG_LINTFLAGS)));
   ns.addConstant("CS_POSIX_V7_WIDTH_RESTRICTED_ENVS", (get_confstr(_CS_POSIX_V7_WIDTH_RESTRICTED_ENVS)));
   ns.addConstant("CS_V5_WIDTH_RESTRICTED_ENVS", (get_confstr(_CS_V5_WIDTH_RESTRICTED_ENVS)));
   ns.addConstant("CS_V6_ENV", (get_confstr(_CS_V6_ENV)));
   ns.addConstant("CS_V6_WIDTH_RESTRICTED_ENVS", (get_confstr(_CS_V6_WIDTH_RESTRICTED_ENVS)));
   ns.addConstant("CS_V7_ENV", (get_confstr(_CS_V7_ENV)));
   ns.addConstant("CS_V7_WIDTH_RESTRICTED_ENVS", (get_confstr(_CS_V7_WIDTH_RESTRICTED_ENVS)));
   ns.addConstant("CS_XBS5_ILP32_OFF32_CFLAGS", (get_confstr(_CS_XBS5_ILP32_OFF32_CFLAGS)));
   ns.addConstant("CS_XBS5_ILP32_OFF32_LDFLAGS", (get_confstr(_CS_XBS5_ILP32_OFF32_LDFLAGS)));
   ns.addConstant("CS_XBS5_ILP32_OFF32_LIBS", (get_confstr(_CS_XBS5_ILP32_OFF32_LIBS)));
   ns.addConstant("CS_XBS5_ILP32_OFF32_LINTFLAGS", (get_confstr(_CS_XBS5_ILP32_OFF32_LINTFLAGS)));
   ns.addConstant("CS_XBS5_ILP32_OFFBIG_CFLAGS", (get_confstr(_CS_XBS5_ILP32_OFFBIG_CFLAGS)));
   ns.addConstant("CS_XBS5_ILP32_OFFBIG_LDFLAGS", (get_confstr(_CS_XBS5_ILP32_OFFBIG_LDFLAGS)));
   ns.addConstant("CS_XBS5_ILP32_OFFBIG_LIBS", (get_confstr(_CS_XBS5_ILP32_OFFBIG_LIBS)));
   ns.addConstant("CS_XBS5_ILP32_OFFBIG_LINTFLAGS", (get_confstr(_CS_XBS5_ILP32_OFFBIG_LINTFLAGS)));
   ns.addConstant("CS_XBS5_LP64_OFF64_CFLAGS", (get_confstr(_CS_XBS5_LP64_OFF64_CFLAGS)));
   ns.addConstant("CS_XBS5_LP64_OFF64_LDFLAGS", (get_confstr(_CS_XBS5_LP64_OFF64_LDFLAGS)));
   ns.addConstant("CS_XBS5_LP64_OFF64_LIBS", (get_confstr(_CS_XBS5_LP64_OFF64_LIBS)));
   ns.addConstant("CS_XBS5_LP64_OFF64_LINTFLAGS", (get_confstr(_CS_XBS5_LP64_OFF64_LINTFLAGS)));
   ns.addConstant("CS_XBS5_LPBIG_OFFBIG_CFLAGS", (get_confstr(_CS_XBS5_LPBIG_OFFBIG_CFLAGS)));
   ns.addConstant("CS_XBS5_LPBIG_OFFBIG_LDFLAGS", (get_confstr(_CS_XBS5_LPBIG_OFFBIG_LDFLAGS)));
   ns.addConstant("CS_XBS5_LPBIG_OFFBIG_LIBS", (get_confstr(_CS_XBS5_LPBIG_OFFBIG_LIBS)));
   ns.addConstant("CS_XBS5_LPBIG_OFFBIG_LINTFLAGS", (get_confstr(_CS_XBS5_LPBIG_OFFBIG_LINTFLAGS)));

}
